/*
 * ExtraInput.java
 *
 * Created on July 7, 2005, 2:28 AM
 */

package datamining;

import java.io.File;
import java.io.*;
import javax.swing.*;
import java.awt.Container;
import java.util.StringTokenizer;
import java.util.Vector;
/**
 *
 * @author Mike
 */
public class ExtraInput {
    
    /** Creates a new instance of ExtraInput */
    public ExtraInput() {
    }
    
    /** 
     * get started with a file - including choosing it using the FileChooser,
     * making sure we can read from it
     */
    public static BufferedReader startFile () throws IOException {
        
        //////////////////////////////
        // set up for reading file
        //////////////////////////////
        JFrame empty = new JFrame(); // just create as GUI container so can use file chooser
        Container dummy = empty.getContentPane();
        JFileChooser files;
        String filename;
        File filehandle;
        FileReader fReader;
        BufferedReader bReader;
        String line;
        StringTokenizer tokenizer;
        empty.setVisible(true);  // display empty JFrame
        files = new JFileChooser();   
        // start open file dialog box
        int result = files.showOpenDialog(dummy);
        if (result == 0) {
            // if successful, read the file
            filename = files.getSelectedFile().getPath();
            filehandle = files.getSelectedFile();
            // check if can read
            if (filehandle.exists() && filehandle.canRead() ) {
                // try to read it
                    fReader = new FileReader(filehandle);
                    bReader = new BufferedReader(fReader);
            }
            else {
                throw new IOException(); // signal that we are unable to handle the file
            }
        }
        else {
            throw new IOException(); // signal that we are unable to handle the file
        }
        empty.setVisible(false);
        return bReader;
    }
    
}
