/*
 * Trace.java
 *
 * Created on July 6, 2005, 12:47 AM
 */

package datamining;

import java.io.File;
import java.io.*;
import javax.swing.*;
import java.awt.Container;

/**
 *
 * @author Mike
 */
public class Trace {
    
    /** Creates a new instance of Trace */
    public Trace() {
    }
    
    /** 
     * get started with a file - including choosing it using the FileChooser,
     * making sure we can write to it.
     * 
     */
    public static PrintWriter startTraceFile () throws IOException {
        
        //////////////////////////////
        // set up for writing file
        //////////////////////////////
        JFrame empty = new JFrame(); // just create as GUI container so can use file chooser
        Container dummy = empty.getContentPane();
        JFileChooser files;
        String filename;
        File filehandle;
        FileWriter fWriter;
        BufferedWriter bWriter;
        PrintWriter tracefile;  
        
        empty.setVisible(true);  // display empty JFrame
        files = new JFileChooser();   
        // start open file dialog box
        int result = files.showOpenDialog(dummy);
        if (result == 0) {
            // if successful, get ready to write to the file
            filename = files.getSelectedFile().getPath();
            filehandle = files.getSelectedFile();
            // check if can write
            if (!filehandle.exists() || filehandle.canWrite() ) {
                // try to read it
                    fWriter = new FileWriter(filehandle);
                    bWriter = new BufferedWriter(fWriter);
                    tracefile = new PrintWriter(bWriter);
            }
            else {
                throw new IOException(); // signal that we are unable to handle the file
            }
        }
        else {
            throw new IOException(); // signal that we are unable to handle the file
        }
        return tracefile;
    }
    
}
